easy_form_bloc 0.1.0
easy_form_bloc: ^0.1.0 copied to clipboard

Bloc form is lightweight library which helps you writing forms and avoid boilerplate. Library cover domain layer of forms so when using it you are still able to use your own view implementation.

[0.1.0] - Small improvments #

  • Move whole example app to example/main.dart file
  • Update dependencies versions
  • Fix issue with catch exception for form submitting

[0.0.1] - Initial release #

  • First version of easy_form_bloc prepared to recieve first feedback and plan some improvments
10
likes
80
pub points
43%
popularity

Publisher

patrykgalazka.pl

Bloc form is lightweight library which helps you writing forms and avoid boilerplate. Library cover domain layer of forms so when using it you are still able to use your own view implementation.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

bloc, equatable, flutter, rxdart

More

Packages that depend on easy_form_bloc